function fileQueueError(file, errorCode, message){
    try {
        var imageName = "error.gif";
		var errorName = "";
		if (errorCode === SWFUpload.errorCode_QUEUE_LIMIT_EXCEEDED) {
			errorName = "你添加的文件超过了限制！";
			
		}

		if (errorName !== "") {
			alert(errorName);
			return;
		}

		switch (errorCode) {
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
			
			imageName = "zerobyte.gif";
			break;
		case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
			alert('亲！最大图片只能上传1M呢！');
			imageName = "toobig.gif";
			break;
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
		case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
		default:
			//alert('亲!现在只能传'+message+'张图片喔');
			alert('亲!只能传'+file_num+'张图片喔');
			break;
		}
		addImage("swfupload/images/" + imageName, 0);
	} catch (ex) {
		this.debug(ex);
	}

}

function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		if (numFilesQueued > 0) {
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadProgress(file, bytesLoaded) {
	try {
		var percent = Math.ceil((bytesLoaded / file.size) * 100)-1;
		var progress = new FileProgress(file,  this.customSettings.upload_target);
		progress.setProgress(percent);
		if (percent === 100) {
			progress.setStatus("创建缩略图...");
			progress.toggleCancel(false, this);
		} else {
			progress.setStatus(percent+"%");
			progress.toggleCancel(true, this);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadSuccess(file, serverData) {
	try {
		var progress = new FileProgress(file,  this.customSettings.upload_target);
		/*
		if (serverData.substring(0, 7) === "FILEID:") {
			addImage("/system/swfupload.php?dopost=thumbnail&id=" + serverData.substring(7), serverData.substring(7));

			progress.setStatus("获取缩略图...");
			progress.toggleCancel(false);
		}
		*/
		var jsonstr = eval('(' + serverData + ')');
		if(jsonstr.msg == 1){
			//addImage(jsonstr.thumb, jsonstr.picid);
		
			addImage(jsonstr.file, jsonstr.picid,jsonstr.thumb);
			progress.setStatus("获取缩略图...");
			progress.toggleCancel(false);
		}
		 else {
			addImage(current_domain+"/template/default/js/swfupload/images/error.gif", 0);
			progress.setStatus("有错误！");
			progress.toggleCancel(false);
			alert(jsonstr.m);

		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadComplete(file) {
	try {
		/*  I want the next upload to continue automatically so I'll call startUpload here */
		if (this.getStats().files_queued > 0) {
			this.startUpload();
		} else {
			var progress = new FileProgress(file,  this.customSettings.upload_target);
			progress.setComplete();
			progress.setStatus("所有图片上传完成...");
			progress.toggleCancel(false);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadError(file, errorCode, message) {
	alert(errorCode);
	var imageName =  "error.gif";
	var progress;
	try {
		switch (errorCode) {
		case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setCancelled();
				progress.setStatus("Cancelled");
				progress.toggleCancel(false);
			}
			catch (ex1) {
				this.debug(ex1);
			}
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setCancelled();
				progress.setStatus("Stopped");
				progress.toggleCancel(true);
			}
			catch (ex2) {
				this.debug(ex2);
			}
		case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
			imageName = "uploadlimit.gif";
			break;
		default:
			var jsonstr = eval('(' + message + ')');
			alert(jsonstr.m);
			break;
		}

		addImage(current_domain+"/template/default/js/swfupload/images/" + imageName, 0);

	} catch (ex3) {
		this.debug(ex3);
	}

}

var albImg = 0;
var i = 0;
var j = 0;
function addImage(src, pid, thumb){	
	var newImgDiv = document.createElement("div");
	var delstr = '';
	var iptwidth = 190;
	albImg++;
	i++;
	if(typeof(thumb)=='undefined'){
		return false;
	}
	if(pid != 0) {
		albImg = 'ok' + pid;
		delstr = '<a class="item_close" href="javascript:viod(0)" onclick="delAlbPic('+pid+',this)">[删除]</a>';
		hiddenstr = '<input type="hidden" value='+src+' name="img[]" />';
	} else {
		albImg = 'err' + albImg;
	}
	newImgDiv.className = 'albCt';
	newImgDiv.id = 'albCt'+albImg;
	document.getElementById("thumbnails").appendChild(newImgDiv);
	
	if(i > j||albImg==0){
		newImgDiv.innerHTML = '<div class="w_upload"><span class="item_box"><img src="'+thumb+'" width="80" /><input id="fileurl" type="hidden" name="fileurl" value="'+thumb+'"></span><div class="isfenmian" style=""></div><div class="fm_bg" style="display: none;"></div><div class="fengmian" style="display: none;"><a class="scroll_l" title="左移" href="javascript:void(0)"></a><a class="set_fm" href="javascript:void(0)"></a><a class="scroll_r" title="右移" href="javascript:void(0)"></a></div>'+delstr+hiddenstr;
	}else{
		newImgDiv.innerHTML = '<div class="w_upload" onmouseover="over(this)" onmouseout="out(this)"><span class="item_box"><img src="'+thumb+'" width="80" /><input type="hidden" id="fileurl" name="fileurl" value="'+thumb+'"></span><div class="isfenmian" style="display:none;"></div><div class="fm_bg" style="display: none;"></div><div class="fengmian" style="display: none;"><a class="scroll_l" title="左移" href="javascript:void(0)" onclick="toleft(this)"></a><a class="set_fm" href="javascript:void(0)" onclick="setfm(this)"></a><a class="scroll_r" title="右移" href="javascript:void(0)" onclick="toright(this)"></a></div>'+delstr+hiddenstr;	
	}
	
	if($(".albCt").length==1){
		$("#thumbnails .albCt").eq(0).find(".w_upload").find(".isfenmian").css("display","block");
	}
	
	/*
	if(typeof arctype != 'undefined' && arctype ==  'article' )
	{ 
		iptwidth = 100;
		if(pid != 0) {
			newImgDiv.innerHTML = '<div class="w_upload"><span class="item_box"><img src="'+src+'" width="80" onClick="addtoEdit('+pid+')"/></span><div class="isfenmian" style=""></div><div class="fm_bg" style="display: none;"></div><div class="fengmian" style="display: none;"><a class="scroll_l" title="左移" href="javascript:void(0)"></a><a class="set_fm" href="javascript:void(0)"></a><a class="scroll_r" title="右移" href="javascript:void(0)"></a></div>'+delstr+hiddenstr;
		}
	}
	*/
	newImgDiv.innerHTML += '</div>';
	j = i+1;
}


/* ******************************************
 *	FileProgress Object
 *	Control object for displaying file info
 * ****************************************** */

function FileProgress(file, targetID) {
	this.fileProgressID = "divFileProgress";

	this.fileProgressWrapper = document.getElementById(this.fileProgressID);
	if (!this.fileProgressWrapper) {
		this.fileProgressWrapper = document.createElement("div");
		this.fileProgressWrapper.className = "progressWrapper";
		this.fileProgressWrapper.id = this.fileProgressID;

		this.fileProgressElement = document.createElement("div");
		this.fileProgressElement.className = "progressContainer";

		var progressCancel = document.createElement("a");
		progressCancel.className = "progressCancel";
		progressCancel.href = "#";
		progressCancel.style.visibility = "hidden";
		progressCancel.appendChild(document.createTextNode(" "));

		var progressText = document.createElement("div");
		progressText.className = "progressName";
		progressText.appendChild(document.createTextNode(file.name));

		var progressBar = document.createElement("div");
		progressBar.className = "progressBarInProgress";

		var progressStatus = document.createElement("div");
		progressStatus.className = "progressBarStatus";
		progressStatus.innerHTML = "&nbsp;";

		this.fileProgressElement.appendChild(progressCancel);
		this.fileProgressElement.appendChild(progressText);
		this.fileProgressElement.appendChild(progressStatus);
		this.fileProgressElement.appendChild(progressBar);

		this.fileProgressWrapper.appendChild(this.fileProgressElement);

		document.getElementById(targetID).appendChild(this.fileProgressWrapper);

	} else {
		this.fileProgressElement = this.fileProgressWrapper.firstChild;
		this.fileProgressElement.childNodes[1].firstChild.nodeValue = file.name;
	}

	this.height = this.fileProgressWrapper.offsetHeight;

}
FileProgress.prototype.setProgress = function (percentage) {
	this.fileProgressElement.className = "progressContainer blue";
	this.fileProgressElement.childNodes[3].className = "progressBarInProgress";
	this.fileProgressElement.childNodes[3].style.width = percentage + "%";
};
FileProgress.prototype.setComplete = function () {
	this.fileProgressElement.className = "progressContainer green";
	this.fileProgressElement.childNodes[3].className = "progressBarComplete";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setError = function () {
	this.fileProgressElement.className = "progressContainer red";
	this.fileProgressElement.childNodes[3].className = "progressBarError";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setCancelled = function () {
	this.fileProgressElement.className = "progressContainer";
	this.fileProgressElement.childNodes[3].className = "progressBarError";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setStatus = function (status) {
	this.fileProgressElement.childNodes[2].innerHTML = status;
};

FileProgress.prototype.toggleCancel = function (show, swfuploadInstance) {
	this.fileProgressElement.childNodes[0].style.visibility = show ? "visible" : "hidden";
	if (swfuploadInstance) {
		var fileID = this.fileProgressID;
		this.fileProgressElement.childNodes[0].onclick = function () {
			swfuploadInstance.cancelUpload(fileID);
			return false;
		};
	}
};
